# OrderLists folder

This folder lists all the points in the network where an order of passing trains must be followed.

## File structure

Lines:

	1. the km-point where the order should be followed. It is a switch
	2. Going from lower km-point to higher km-point we have two options
		- **MergingJunction** if the two lines on the switch are converging
		- **DivergingJunction** if the two lines diverge from the switch
	3. From line 3 and onwards we list the order of the trains that has to be respected
	
## Graphical representation

```mermaid
flowchart LR;
    subgraph Guingamp;
    A[@B3@] --> M((OL0\n00.310));
    B[ @B0@] --> M;
    end;
    M-->C((OL1\n09.539));
    subgraph Tregonneau;
    C --> D[@B4@];
    C --> E[@B0@];
    D --> F((OL2\n10.357));
    E --> F;
    end;
    subgraph Pontrieaux;
    F --> G((OL3\n21.235));
    G --> H[@B1@];
    G --> I[@B0@];
    H --> K((OL4\n22.238 ));
    I --> K;
    end;
    subgraph Lancerf;
    K --> L((OL5\n30.866));
    L--> N[@B5@];
    L--> O[@B0@];
    N --> P((OL6\n31.365));
    O --> P;
    end;
     subgraph Paimpol;
     P --> Q((OL7\n36.586));
     Q --> R[@b2@];
     Q--> S[@B0@];
     end;
    
    style M fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
    style F fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
    style C fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
    style G fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
    style K fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
    style L fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
    style P fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
    style Q fill:#fa4649,stroke:#333,stroke-width:2px,color:#fff;
```